"""empty message

Revision ID: 347fdb6120bd
Revises: ab4175c8a02f
Create Date: 2021-08-02 13:49:17.488502

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = '347fdb6120bd'
down_revision = 'ab4175c8a02f'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('game', sa.Column('winner_id', sa.Integer(), nullable=True))
    op.drop_constraint('game_vinner_id_fkey', 'game', type_='foreignkey')
    op.create_foreign_key(None, 'game', 'user', ['winner_id'], ['id'])
    op.drop_column('game', 'vinner_id')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        'game',
        sa.Column(
            'vinner_id', sa.INTEGER(), autoincrement=False, nullable=True
        )
    )
    op.drop_constraint(None, 'game', type_='foreignkey')
    op.create_foreign_key('game_vinner_id_fkey', 'game', 'user',
                          ['vinner_id'], ['id'])
    op.drop_column('game', 'winner_id')
    # ### end Alembic commands ###
